package com.ruoyi.asset.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资产信息对象 tb_asset
 * 
 * @author 原动力
 * @date 2023-03-27
 */
@TableName("tb_asset")
public class TbAsset extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    @Excel(name = "编号")
    @TableId("id")
    private Long id;

    /** 条形码 */
    @Excel(name = "条形码")
    @TableField("bar_code")
    private String barCode;

    /** 资产编号 */
    @Excel(name = "资产编号")
    @TableField("number")
    private String number;

    /** 资产名称 */
    @Excel(name = "资产名称")
    @TableField("name")
    private String name;

    /** 资产种类 */
    @Excel(name = "资产种类")
    @TableField("kind")
    private String kind;

    /** 资产分类编号 */
    @Excel(name = "资产分类编号")
    @TableField("category_number")
    private String categoryNumber;

    /** 资产原值 */
    @Excel(name = "资产原值")
    @TableField("amount")
    private BigDecimal amount;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("quantity")
    private Long quantity;

    /** 取得时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "取得时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("build_date")
    private Date buildDate;

    /** 存放地点 */
    @Excel(name = "存放地点")
    @TableField("place_name")
    private String placeName;

    /** 资产用途 */
    @Excel(name = "资产用途")
    @TableField("purpose")
    private String purpose;

    /** 使用部门ID */
    @Excel(name = "使用部门ID")
    @TableField("dept_id")
    private Long deptId;

    /** 登记人 */
    @Excel(name = "登记人")
    @TableField("registrant")
    private String registrant;

    /** 规格型号 */
    @Excel(name = "规格型号")
    @TableField("specifications_model")
    private String specificationsModel;

    /** 生产厂商 */
    @Excel(name = "生产厂商")
    @TableField("manufacturer")
    private String manufacturer;

    /** 品牌型号 */
    @Excel(name = "品牌型号")
    @TableField("brand")
    private String brand;

    /** 供应商 */
    @Excel(name = "供应商")
    @TableField("supplier")
    private String supplier;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("status")
    private Long status;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBarCode(String barCode) 
    {
        this.barCode = barCode;
    }

    public String getBarCode() 
    {
        return barCode;
    }
    public void setNumber(String number) 
    {
        this.number = number;
    }

    public String getNumber() 
    {
        return number;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setKind(String kind) 
    {
        this.kind = kind;
    }

    public String getKind() 
    {
        return kind;
    }
    public void setCategoryNumber(String categoryNumber) 
    {
        this.categoryNumber = categoryNumber;
    }

    public String getCategoryNumber() 
    {
        return categoryNumber;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setQuantity(Long quantity) 
    {
        this.quantity = quantity;
    }

    public Long getQuantity() 
    {
        return quantity;
    }
    public void setBuildDate(Date buildDate) 
    {
        this.buildDate = buildDate;
    }

    public Date getBuildDate() 
    {
        return buildDate;
    }
    public void setPlaceName(String placeName) 
    {
        this.placeName = placeName;
    }

    public String getPlaceName() 
    {
        return placeName;
    }
    public void setPurpose(String purpose) 
    {
        this.purpose = purpose;
    }

    public String getPurpose() 
    {
        return purpose;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setRegistrant(String registrant) 
    {
        this.registrant = registrant;
    }

    public String getRegistrant() 
    {
        return registrant;
    }
    public void setSpecificationsModel(String specificationsModel) 
    {
        this.specificationsModel = specificationsModel;
    }

    public String getSpecificationsModel() 
    {
        return specificationsModel;
    }
    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setBrand(String brand) 
    {
        this.brand = brand;
    }

    public String getBrand() 
    {
        return brand;
    }
    public void setSupplier(String supplier) 
    {
        this.supplier = supplier;
    }

    public String getSupplier() 
    {
        return supplier;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("barCode", getBarCode())
            .append("number", getNumber())
            .append("name", getName())
            .append("kind", getKind())
            .append("categoryNumber", getCategoryNumber())
            .append("amount", getAmount())
            .append("quantity", getQuantity())
            .append("buildDate", getBuildDate())
            .append("placeName", getPlaceName())
            .append("purpose", getPurpose())
            .append("deptId", getDeptId())
            .append("registrant", getRegistrant())
            .append("specificationsModel", getSpecificationsModel())
            .append("remark", getRemark())
            .append("manufacturer", getManufacturer())
            .append("brand", getBrand())
            .append("supplier", getSupplier())
            .append("status", getStatus())
            .toString();
    }
}
